require(ggplot2)
Ntrials = 100
df = data.frame(p=runif(Ntrials, 0, 1))
df = transform(df, rejected = p<0.05)
p = ggplot(df, aes(x=p, fill=rejected)) + geom_dotplot() + 
  geom_vline(xintercept=0.05, color="red") +
  ylim(0, 0.5) + 
  ggtitle(paste("P-values under Null hypothesis with", Ntrials, "trials"))
ggsave(filename = "multiple-testing-p-values.pdf", p, width = 8, height = 3)

# Robustness example
x = 1:10; y=7:20; y1 = c(7:20, 200)
h1 = t.test(x, y)
h1$p.value
h2 = t.test(x, y1)
h2$p.value
h3 = wilcox.test(x, y, exact = FALSE)
h3$p.value
h4 = wilcox.test(x, y1, exact = FALSE)
h4$p.value
h4

# Try p.adjust on our pretend p-values from a 0,1 uniform distribution
p.adjust(df$p, method = "BH")
# It wasn't fooled!
